--water staff
minetest.register_entity("elemental_staffs:water_spawner", {
	textures = {"transparent.png"},
	velocity = 10,
	on_step = function (self, pos, node, dtime)
				local pos = self.object:getpos()
								local n = minetest.env:get_node(pos).name
								if n ~= "default:river_water_source" then
									if n=="air" then
										minetest.env:set_node(pos, {name="default:river_water_source"})
									else
									minetest.env:set_node(pos, {name="default:water_source"})
									self.object:remove()
								end
								end
				end
})

minetest.register_tool("elemental_staffs:water_staff", {
	description = "Water Staff",
	inventory_image = "elemental_staffs_water_staff.png",
	on_use = function(itemstack, placer, pointed_thing)
			local dir = placer:get_look_dir();
			local playerpos = placer:getpos();
			local obj = minetest.env:add_entity({x=playerpos.x+0+dir.x,y=playerpos.y+2+dir.y,z=playerpos.z+0+dir.z}, "elemental_staffs:water_spawner")
			local vec = {x=dir.x*6,y=dir.y*6,z=dir.z*6}
			obj:setvelocity(vec)
		return itemstack
	end,
})
